Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.soap.server
Class RequestContext

    java.lang.Object
      |
      +--oracle.soap.server.RequestContext

public class RequestContext
extends java.lang.Object

`RequestContext` defines all of the context for a SOAP request, including information that is passed to the provider and information that the provider must set before returning. Note that the provider is given the request `Envelope` and is therefore responsible to unmarshall the request parameters. Similarly, the provider is required to marshall the response, although the response envelope must also be set by the provider, as it may be needed by a pluggable handler.

The following information is provided by the SOAP engine to the `Provider`, meaning that the provider can utilize this information in `Provider.invoke`:

- getEnvelope - the envelope containing the request
- getServiceId - the URI of the service
- getRequestSOAPContext - the SOAP context for the request that contains the MIME parts from the request and the security context describing the user invoking the method in the service.
- getResponseSOAPContext - the SOAP context for the response in which any MIME parts for the response can be added.
- getMethodName - the name of the method being invoked in the service.

The following information must be given by the `Provider` to the SOAP engine:

- setResponseEnvelope - this is the response envelope.
- getRequestEncodingStyle - the encoding style to use for the response in case of an error (if not set, defaults to `Constants.NS_URI_SOAP_ENC`, which is SOAP encoding). If the provider cares about this, it should set this value as soon as it can in case of an exception. The provider might use the same encoding as the request or as one of the parameters.

Constructor Summary
`RequestContext()`

Method Summary
`java.lang.String` | `getMethodName()` Get the method name for this SOAP request.
`java.lang.String` | `getRequestEncodingStyle()` Get the encoding style that was used on the request.
`Envelope` | `getRequestEnvelope()` Get the envelope that represents the actual SOAP request.
`OracleSOAPContext` | `getRequestSOAPContext()` Get the Oracle extended SOAPContext for this SOAP request.
`Envelope` | `getResponseEnvelope()` Get the envelope that represents the SOAP response.
`SOAPMappingRegistry` | `getResponseMap()` Get the mapping registry that must be used to serialize the SOAP response.
`OracleSOAPContext` | `getResponseSOAPContext()` Get the Oracle extended SOAPContext for the response to this SOAP request.
`java.lang.String` | `getServiceId()` Get the service id (URI) for this SOAP request.
`void` | `setMethodName(java.lang.String methodName)` Set the method name for this SOAP request.
`void` | `setRequestEncodingStyle(java.lang.String requestEncodingStyle)` Set the encoding style that was used on the request.
`void` | `setRequestEnvelope(Envelope envelope)` Set the envelope that represents the actual SOAP request.
`void` | `setRequestSOAPContext(OracleSOAPContext soapContext)` Set the Oracle extended SOAPContext for this SOAP request.
`void` | `setResponseEnvelope(Envelope envelope)` Set the envelope that represents the SOAP response.
`void` | `setResponseMap(SOAPMappingRegistry smr)` Set the mapping registry that must be used to serialize the SOAP response envelope.
`void` | `setResponseSOAPContext(OracleSOAPContext soapContext)` Set the Oracle extended SOAPContext for the response to this SOAP request.
`void` | `setServiceId(java.lang.String serviceId)` Set the service id (URI) for this SOAP request.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestContext

    public RequestContext()

Method Detail

### setRequestEnvelope

    public void setRequestEnvelope(Envelope envelope)

  Set the envelope that represents the actual SOAP request.
  Parameters:
    `envelope` - The SOAP envelope.

### getRequestEnvelope

    public Envelope getRequestEnvelope()

  Get the envelope that represents the actual SOAP request.
  Returns:
    The SOAP envelope.

### setRequestSOAPContext

    public void setRequestSOAPContext(OracleSOAPContext soapContext)

  Set the Oracle extended SOAPContext for this SOAP request.
  Parameters:
    `soapContext` - The SOAP context.

### getRequestSOAPContext

    public OracleSOAPContext getRequestSOAPContext()

  Get the Oracle extended SOAPContext for this SOAP request.
  Returns:
    The SOAP context.

### setResponseEnvelope

    public void setResponseEnvelope(Envelope envelope)

  Set the envelope that represents the SOAP response.
  Parameters:
    `envelope` - The SOAP response envelope.

### getResponseEnvelope

    public Envelope getResponseEnvelope()

  Get the envelope that represents the SOAP response.
  Returns:
    The SOAP response envelope.

### setResponseMap

    public void setResponseMap(SOAPMappingRegistry smr)

  Set the mapping registry that must be used to serialize the SOAP response envelope.
  Parameters:
    `smr` - The mapping registry for the SOAP response envelope.

### getResponseMap

    public SOAPMappingRegistry getResponseMap()

  Get the mapping registry that must be used to serialize the SOAP response.
  Returns:
    The mapping registry for the SOAP response envelope.

### setResponseSOAPContext

    public void setResponseSOAPContext(OracleSOAPContext soapContext)

  Set the Oracle extended SOAPContext for the response to this SOAP request.
  Parameters:
    `soapContext` - The SOAP context.

### getResponseSOAPContext

    public OracleSOAPContext getResponseSOAPContext()

  Get the Oracle extended SOAPContext for the response to this SOAP request.
  Returns:
    The SOAP context.

### setRequestEncodingStyle

    public void setRequestEncodingStyle(java.lang.String requestEncodingStyle)

  Set the encoding style that was used on the request.
  Parameters:
    `requestEncodingStyle` - The request encoding style.

### getRequestEncodingStyle

    public java.lang.String getRequestEncodingStyle()

  Get the encoding style that was used on the request.
  Returns:
    The request encoding style.

### setMethodName

    public void setMethodName(java.lang.String methodName)

  Set the method name for this SOAP request. The method name is in the envelope, but it can be "cached" here by the server as a convenience.
  Parameters:
    `methodName` - The method name that is being invoked in the service.

### getMethodName

    public java.lang.String getMethodName()

  Get the method name for this SOAP request.
  Returns:
    The the method name being invoked.

### setServiceId

    public void setServiceId(java.lang.String serviceId)

  Set the service id (URI) for this SOAP request.
  Parameters:
    `serviceId` - The URI for the service to which this request is directed.

### getServiceId

    public java.lang.String getServiceId()

  Get the service id (URI) for this SOAP request.
  Returns:
    The URI for the service to which this request is directed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.